<!doctype html>
<html>
    @@include('./template/_head.html')
    <body>
        <form id="form1" runat="server">
        @@include('./template/_header.html')
        
        <div class="innerWrap orderdataWrap">
            
            <h5 class="order_title">SHIPPING ADD<br>填寫運送資料</h5>
            
            <div class="orderdata">
                <h6 class="data_title mij-icon">付款資料</h6>
                <div class="data_input payway">
                    <label>配送/付款方式</label>
                    <span>宅配/貨到付款</span>
                </div>
                <div class="orderdata_bonus">
                    <div class="orderdata_radio">
                        <label>
                            <span class="UseCheck" clientvalidationfunction="changeTotal()"><input id="ContentPlaceHolder1_chkUseBonus" type="checkbox" name="ctl00$ContentPlaceHolder1$chkUseBonus"></span>
                            使用紅利金 / 尚無紅利金
                        </label>
                        
                        <span id="ContentPlaceHolder1_revBouns" class="redTxt" style="display:none;">本欄位只接受純數字</span>
                        <input name="ctl00$ContentPlaceHolder1$txtBonus" type="tel" value="0" id="ContentPlaceHolder1_txtBonus" class="UseCheck">
                    </div>
                    <!-- <div>
                        <label>
                            <input type="radio" name="">使用購物金 / twd.499
                        </label>
                        <input type="text" name="" placeholder="">
                    </div> -->
                    <!-- <div>
                        <label>
                            <input type="radio" name="">使用紅利金
                        </label>
                        <input type="text" name="" placeholder="">
                    </div> -->
                    <div class="orderdata_radio">
                        <label>
                            使用贈品碼/優惠碼
                        </label>
                        <input name="ctl00$ContentPlaceHolder1$txtCoupon" type="text" id="ContentPlaceHolder1_txtCoupon" class="txtCoupon" placeholder="輸入後點選核對">
                        <input type="hidden" id="CouponDisPrice" value="0">
                        <input class="cvsBtn" id="checkCoupon" type="button" value="核對">
                        <input class="cvsBtn" id="cancelCoupon" type="button" value="取消">
                    </div>
                </div>
                <div class="data_input">
                    <label>應付金額</label>
                    <span>twd. 1008</span>
                </div>
            </div>

            <!-- 訂購人資訊 -->
            <div class="orderdata">
                <h6 class="data_title mij-icon">訂購人資訊</h6>
                <div class="data_input name">
                    <label>中文姓名</label>
                    <input type="text" name="">
                    <span class="genderbox">
                        <input type="radio" name="">
                        <label>小姐</label>
                        <input type="radio" name="">
                        <label>先生</label>
                    </span>
                </div>
                <div class="data_input">
                    <label>手機號碼</label>
                    <input type="tel" name="">
                </div>
                <div class="data_input address clearfix" >
                    <label>聯絡地址</label>
                    <!-- 新增div與class="addr_box"-->
                    <div id="ContentPlaceHolder1_uplBuyAddr">
    
                        <div class="selectWrap">
                            <select name="ctl00$ContentPlaceHolder1$ddlBuyCity" onchange="javascript:setTimeout('__doPostBack(\'ctl00$ContentPlaceHolder1$ddlBuyCity\',\'\')', 0)" id="ContentPlaceHolder1_ddlBuyCity" class="js-select">
                                <option value="">請選擇</option>
                                <option value="01">基隆市</option>
                                <option value="02">台北市</option>
                                <option value="03">新北市</option>
                                <option selected="selected" value="04">桃園市</option>
                                <option value="05">新竹市</option>
                                <option value="06">新竹縣</option>
                                <option value="07">苗栗縣</option>
                                <option value="08">台中市</option>
                                <option value="10">彰化縣</option>
                                <option value="11">南投縣</option>
                                <option value="12">雲林縣</option>
                                <option value="13">嘉義市</option>
                                <option value="14">嘉義縣</option>
                                <option value="15">台南市</option>
                                <option value="17">高雄市</option>
                                <option value="19">屏東縣</option>
                                <option value="20">台東縣</option>
                                <option value="21">花蓮縣</option>
                                <option value="22">宜蘭縣</option>
                                <option value="23">澎湖縣</option>
                                <option value="24">金門縣</option>
                                <option value="25">連江縣</option>
                                <option value="26">海外</option>

                            </select>
                        </div>
                        <div class="selectWrap">
                            <select name="ctl00$ContentPlaceHolder1$ddlBuyArea" id="ContentPlaceHolder1_ddlBuyArea" class="js-select">
                                <option value="">請選擇</option>
                                <option value="0401">八德區</option>
                                <option value="0402">大溪區</option>
                                <option value="0403">大園區</option>
                                <option value="0404">中壢區</option>
                                <option value="0405">平鎮區</option>
                                <option selected="selected" value="0406">桃園區</option>
                                <option value="0407">復興區</option>
                                <option value="0408">新屋區</option>
                                <option value="0409">楊梅區</option>
                                <option value="0410">龍潭區</option>
                                <option value="0411">龜山區</option>
                                <option value="0412">蘆竹區</option>
                                <option value="0413">觀音區</option>

                            </select>
                        </div>
                                                
                    </div>
                    <input name="ctl00$ContentPlaceHolder1$txtBuyAddr" type="text" value="Aaa啊" id="ContentPlaceHolder1_txtBuyAddr" placeholder="">
                    
                </div>
            </div>

            <!-- 收件人資訊 -->
            <div class="orderdata">
                <h6 class="data_title mij-icon">
                    收件人資訊
                    <label>
                        <input type="checkbox" name="">
                        同訂購人資訊
                    </label>  
                </h6>
                <div class="data_input name">
                    <label>中文姓名</label>
                    <input type="text" name="">
                    <div class="genderbox">
                        <label>
                            <input type="radio" name="">
                            小姐
                        </label>
                        <label>
                            <input type="radio" name="">
                            先生
                        </label>
                    </div>
                </div>
                <div class="data_input">
                    <label>手機號碼</label>
                    <input type="tel" name="">
                </div>
                <div class="data_input">
                    <label>收件門市</label>
                    <button class="cvsBtn" onclick="SevenSelector(); return false;" id="StoreSelector">選擇門市</button>
                </div>
                <div class="data_input address clearfix">
                    <label>聯絡地址</label>
                    <!-- 新增div與class="addr_box"-->
                    <div class="addr_box">
                        <div class="selectWrap">
                            <select>
                                <option>縣市</option>
                                <option>台北市</option>
                                <option>台中市</option>
                            </select>
                        </div>
                        <div class="selectWrap">
                            <select>
                                <option>區域</option>
                                <option>西屯區</option>
                                <option>北屯區</option>
                            </select>
                        </div>
                        
                    </div>
                    <input type="text" name="" placeholder="青海路545號14樓-2">
                </div>
                <div class="data_input">
                    <label>指定時段</label>
                    <div class="selectWrap">
                        <select>
                            <option>不指定時段</option>
                            <option>中午前</option>
                        </select>
                    </div>
                </div>
                <div class="data_input">
                    <label>備註</label>
                    <textarea></textarea>
                </div>
            </div>


            <!-- 發票資訊 -->
            <div class="orderdata">
                <h6 class="data_title mij-icon">發票資訊</h6>
                <div class="invoice">
                    
                    <label>
                        <input type="radio" name="invoice">電子發票
                    </label>
                    <div class="invoice_inner">
                        <div class="selectWrap">
                            <select class="js-select js-invoiceChoose">
                                <option>發票載具</option>
                                <option data-type="1">手機條碼</option>
                                <option data-type="1">自然人憑證載具</option>
                                <option data-type="2">愛心捐贈</option>
                                <option data-type="0">會員載具</option>
                            </select>
                        </div>
                    </div>

                    <!--  手機條碼及自然人憑證需要的input -->
                    <div class="invoice_type type1">
                        <div class="invoice_inner">
                            <label>輸入載具條碼</label>
                            <input type="text" name="">
                        </div>
                        <div class="invoice_inner">
                            <label>再次輸入載具條碼</label>
                            <input type="text" name="">
                        </div>
                    </div>

                    <!--  愛心捐贈需要的input -->
                    <div class="invoice_type type2">
                        <div class="invoice_inner">
                            <label>愛心捐贈選擇</label>
                            <div class="selectWrap frameSelector welfare">
                                <select class="js-select">
                                    <option>7351024 - 社團法人屏東縣自閉症協進會（屏東自閉症）</option>
                                    <option>515 - 財團法人靖娟兒童安全文教基金會（靖娟基金會）</option>
                                    <option>891606 - 社團法人臺東縣原住民嘎屋啦瀚文教發展協會（嘎屋啦瀚）</option>
                                    <option>1022 - 社團法人屏東縣兒童少年關懷協會（兒少協會）</option>
                                    <option>88432 - 財團法人喜憨兒社會福利基金會（喜憨兒）</option>
                                    <option>402 - 財團法人中華民國自閉症基金會</option>
                                    <option>159 - 社團法人屏東縣啟智協進會（啟智協會）</option>
                                    <option>885521 - 財團法人中華民國兒童福利聯盟文教基金會</option>
                                    <option>513663 - 社團法人臺東縣教育發展協會（孩子的書屋）</option>
                                    <option>9118595 - 財團法人勵馨社會福利事業基金會</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <label>
                        <input type="radio" name="invoice">
                        公司索取電子發票證明聯
                    </label>
                    <div class="invoice_inner">
                        <label>統一編號</label>
                        <input type="text" name="">
                    </div>
                    
                </div>
            </div>

            <div class="orderdata_note clearfix">
                <input type="checkbox" name="">
                <p>我已仔細閱讀並同意<a href="#">「網站使用條款」「隱私權條款」「免責聲明」「售後服務」</a>等所載內容及其意義茲同意該等條款規定並願遵守網站現今、嗣後規範的各種規則</p>
            </div>
            
            <div href="#" class="btnWrap">
                <a href="#" class="btnWrap_btn mainBtn">配送付款方式</a>
                <input type="submit" name="" value="送出訂單" class="btnWrap_btn">
            </div>

            <div class="orderdata_buyinfo">
                <a href="#" class="orderdata_buyinfo_close">X</a>
                <h6 class="data_title mij-icon">購物資訊</h6>
                   
                <p class="static_title">付款方式</p>

                <!-- 付款方式 國內訂單 -->
                <p class="static_subTitle">[國內訂單]</p>
                <div class="accordion">
                    <a href="#">線上刷卡</a>
                    <div>
                        <p>使用線上刷卡付款，僅限使用宅配方式配送，且需結帳時完成線上刷卡程序，如未刷卡成功就離開頁面，系統會自動取消訂單，需重新訂購。</p>
                    </div>

                    <a href="#">7-11取貨付款</a>
                    <div>
                        <p>最高金額限制20000元，當商品送達您指定之7-11門市時，將會發送簡訊通知到貨，至門市取貨時直接付款即可。</p>
                    </div>

                    <a href="#">貨到付款（現金）</a>
                    <div>
                        <p>宅急便人員將貨物送達時，直接支付現金給宅急便人員即可。</p>
                    </div>

                    <a href="#">貨到付款（信用卡）</a>
                    <div>
                        <p>宅急便人員將貨物送達時，宅配人員會攜帶刷卡機直接現場刷卡即可。</p>    
                    </div>

                    <a href="#">Mijily帳戶購物金</a>
                    <div>
                        <p>使用帳戶購物金作折抵，如金額不足差額可使用其他付款方式。</p>
                    </div>
                </div><!-- end accordion -->
                <!-- end 付款方式 國內訂單 -->


                <!-- 付款方式 海外訂單 -->
                <p class="static_subTitle">[國內訂單]</p>
                <ul class="static_list">
                    <li>信用卡 （目前接受卡別VISA、MasterCard、JCB）</li>
                    <li>PayPal</li>
                    <li>支付寶 （僅開放大陸、香港、澳門）</li>
                    <li>財付通 （僅開放大陸、香港、澳門）</li>
                </ul>
                <!-- end 付款方式 海外訂單 -->


                <p class="static_title">配送方式</p>

                <!-- 配送方式 國內訂單 -->
                <p class="static_subTitle">[國內訂單]</p>
                <div class="accordion">
                    <a href="#">宅配</a>
                    <div>
                        <p>提供黑貓宅急便配送</p>
                    </div>
                    <a href="#">7-11門市取貨</a>
                    <div>
                        <p>＊超商取貨付款約需2-3個工作天到貨</p>
                    </div>
                </div><!-- end accordion -->
                <!-- end 配送方式 國內訂單 -->


                <!-- 配送方式 海外訂單 -->
                <p class="static_subTitle">[海外訂單]</p>
                <div class="accordion">
                    <a href="#">順豐速遞</a>
                    <div>
                        <p>配送至台灣以外的地區一律使用速遞配送</p>
                    </div>
                </div><!-- end accordion -->
            </div><!-- end orderdata_buyinfo -->

        </div>

        <script>
            function Accordion(el, head, cnt) {
                var self = this;
                self.parent = $(el);
                self.head = $(el + ' > ' + head);
                self.content = self.head.next(cnt);
                self.animating = false;
                self.init = function() {
                    self.content.each(function() {
                        var originHeight = $(this).height();
                        $(this).data('cntheight', originHeight);
                        $(this).css({height: 0, opacity: 1});
                    });
                    self.bindEvent();
                };

                self.bindEvent = function() {
                    self.head.on('click', function(e) {
                        e.preventDefault();
                        if (self.animating) {
                            return;
                        }
                        self.animating = true;
                        if ($(e.target).hasClass('active')) {
                            //start closing
                            $.when( self.closing($(e.target), $(e.target).next(cnt)) ).done(function() {
                                    $(e.target).removeClass('animating').removeClass('active'); //closed
                                    self.animating = false;
                            });
                        } else {
                            //start opening
                            var siblingsHead = $(e.target).siblings(head);
                            var targetHeight = $(e.target).next(cnt).data('cntheight');
                            $.when( self.opening($(e.target), targetHeight), self.siblingsClosing(siblingsHead) ).done(function() {
                                    $(e.target).removeClass('animating').addClass('active');
                                    self.animating = false;
                            });
                        }
                    });

                };

                self.closing = function(targetHead, targetCnt) {
                    targetHead.addClass('animating');
                    return targetCnt.removeClass('active').animate({height: 0}, 300, 'linear');
                };

                self.opening = function(targetHead, targetHeight) {
                    targetHead.addClass('animating');
                    return targetHead.next(cnt).addClass('active').animate({height: targetHeight}, 300, 'linear');
                };

                self.siblingsClosing = function(siblings) {
                    siblings.removeClass('active');
                    return siblings.next(cnt).removeClass('active').animate({height: 0}, 300, 'linear');
                }
            }

            var infoAcc = new Accordion('.accordion', 'a', 'div');
            infoAcc.init();
            $(function() {

                $('.js-invoiceChoose').on('change', function(e) {
                    $('.invoice_type').css('display', 'none');
                    // console.log('change: ' + $(e.target).find('option:selected').data('type'));
                    var targetType = $(e.target).find('option:selected').data('type');
                    if (targetType === '0') {
                        return false;
                    }
                    $('.invoice_type').each(function() {
                        if ($(this).hasClass('type' + targetType)) {
                            $(this).show();
                        }
                    });
                });


                $('.orderdata_note a').on('click', function(e) {
                    e.preventDefault();
                    $('.orderdata_buyinfo').addClass('active');
                });

                $('.orderdata_buyinfo_close').on('click', function(e) {
                    e.preventDefault();
                    $('.orderdata_buyinfo').removeClass('active'); 
                });

            });
        </script>
        <div class="pageCover"></div>
        @@include('./template/_footer.html')
        </form>
    </body>
</html>